description: >
    Implement to represent properties related to SPDM Measurements set.

methods:
    - name: SPDMGetSignedMeasurements
      description: >
          This method generates an SPDM cryptographic signed statement over the
          given nonce and measurements of the SPDM Responder.

      parameters:
          - name: MeasurementIndices
            type: array[size]
            description: >
                An array of indices that identify the measurement blocks to
                sign.

          - name: Nonce
            type: string
            description: >
                A 32-byte hex-encoded string to be signed with the measurements.
                The value should be unique.

          - name: SlotId
            type: size
            description: >
                The slot identifier for the certificate containing the private
                key to generate the signature over the measurements.

      returns:
          - name: Certificate
            type: object_path
            description: >
                Certificate corresponding to the SPDM slot identifier that can
                be used to validate the signature.
          - name: HashingAlgorithm
            type: string
            description: >
                The hashing algorithm used for generating the cryptographic
                signed statement.
          - name: PublicKey
            type: string
            description: >
                A Privacy Enhanced Mail (PEM)-encoded public key that can be
                used to validate the signature.
          - name: SignedMeasurements
            type: string
            description: >
                Base64 encoded cryptographic signed statement generated by the
                signer.
          - name: SigningAlgorithm
            type: string
            description: >
                The asymmetric signing algorithm used for generating the
                cryptographic signed statement.
          - name: Version
            type: string
            description: >
                The SPDM version used by the SPDM Responder to generate the
                cryptographic signed statement.
      errors:
          - xyz.openbmc_project.Common.Error.InvalidArgument
          - xyz.openbmc_project.Common.Error.InternalFailure
